Loading...
Searching...
No Matches
Opm::DensityCallback< TypeTag > Class Template Reference

Callback class for the density of a phase. More...

`#include <quantitycallbacks.hh>`

## Public Types

using | ResultType = std::remove_const_t<std::remove_reference_t<ResultRawType>>
using | ResultValueType = typename MathToolbox<ResultType>::ValueType

## Public Member Functions

| DensityCallback (const ElementContext &elemCtx)
| DensityCallback (const ElementContext &elemCtx, unsigned phaseIdx)
void | setPhaseIndex (unsigned phaseIdx)
| Set the index of the fluid phase for which the density should be returned.
ResultType | operator() (unsigned dofIdx) const
| Return the density of a phase given the index of a degree of freedom within an element context.

## Detailed Description

template<class TypeTag>
class Opm::DensityCallback< TypeTag >

Callback class for the density of a phase.

The documentation for this class was generated from the following file:

- opm/models/common/quantitycallbacks.hh